summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-01-01 19:40:28 +0000
committer Eric Hameleers <alien@slackware.com>2013-01-01 19:40:28 +0000
commit53b3fbe17ad580202f2fe74e26c65983956d6374 (patch)
tree3e7273e912c905bae70add7ed7f2bd39b4b44e98
parentc81186d7e50f6a5c380b71bbf0e1b7592697c8f8 (diff)
downloadasb-53b3fbe17ad580202f2fe74e26c65983956d6374.tar.gz
asb-53b3fbe17ad580202f2fe74e26c65983956d6374.tar.xz
Update to 4.2.4
-rwxr-xr-xunrar/build/unrar.SlackBuild37
1 files changed, 22 insertions, 15 deletions
diff --git a/unrar/build/unrar.SlackBuild b/unrar/build/unrar.SlackBuild
index eb58fdc7..c694c2a0 100755
--- a/unrar/build/unrar.SlackBuild
+++ b/unrar/build/unrar.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2004-2011 Eric Hameleers, Eindhoven, NL
+# Copyright (c) 2004-2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -49,6 +49,8 @@
# * Apply patch to fix CBR support in calibre.
# 4.0.7-1: 13/may/2011 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 4.2.4-1: 01/jan/2013 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh unrar.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -59,8 +61,8 @@
# Set initial variables:
PRGNAM=unrar
-VERSION=${VERSION:-4.0.7}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.2.4}
+BUILD=${BUILD:-1}
TAG=${TAG:-alien}
DOCS="license.txt readme.txt"
@@ -68,7 +70,6 @@ DOCS="license.txt readme.txt"
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
-# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -81,12 +82,14 @@ SRCURL="http://www.rarlab.com/rar/${PRGNAM}src-${VERSION}.tar.gz"
##
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -108,6 +111,9 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
*) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
@@ -122,19 +128,20 @@ mkdir -p $OUTPUT # place for the package to be saved
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
- echo "Source '`basename ${SOURCE}`' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
- wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi